curl --request POST \
--url https://services.leadconnectorhq.com/calendars/events/block-slots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"title": "Test Event",
"assignedUserId": "CVokAlI8fgw4WYWoCtQz",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30"
}
'{
"id": "0TkCdp9PfvLeWKYRRvIz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"title": "My event",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30",
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"assignedUserId": "0007BWpSzSwfiuSl0tR2"
}Create block slot
curl --request POST \
--url https://services.leadconnectorhq.com/calendars/events/block-slots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"title": "Test Event",
"assignedUserId": "CVokAlI8fgw4WYWoCtQz",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30"
}
'{
"id": "0TkCdp9PfvLeWKYRRvIz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"title": "My event",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30",
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"assignedUserId": "0007BWpSzSwfiuSl0tR2"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-04-15 Either calendarId or assignedUserId can be set, not both.
"CVokAlI8fgw4WYWoCtQz"
Location Id
"C2QujeCh8ZnC7al2InWR"
Title
"Test Event"
Either calendarId or assignedUserId can be set, not both.
"CVokAlI8fgw4WYWoCtQz"
Start Time
"2021-06-23T03:30:00+05:30"
End Time
"2021-06-23T04:30:00+05:30"
Successful response
Id
"0TkCdp9PfvLeWKYRRvIz"
Location Id
"C2QujeCh8ZnC7al2InWR"
Title
"My event"
Start Time
"2021-06-23T03:30:00+05:30"
End Time
"2021-06-23T04:30:00+05:30"
Calendar id
"CVokAlI8fgw4WYWoCtQz"
Assigned User Id
"0007BWpSzSwfiuSl0tR2"
Was this page helpful?